package com.bonus.canteen.core.report.mapper;

import com.bonus.canteen.core.report.domain.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AccReportMapper {
    public List<RechargeRecordVO> selectRechargeRecord(@Param("param") RechargeRecordParam param);
    public List<WithdrawRecordVO> selectWithdrawRecord(@Param("param") WithdrawRecordParam param);
    public List<DeptIncomeOutcomeVO> selectDeptIncomeOutcome(@Param("param") DeptIncomeOutcomeParam param);
    public List<UserIncomeOutcomeVO> selectUserIncomeOutcome(@Param("param") UserIncomeOutcomeParam param,
                                                             @Param("encryptedSearchValue") String encryptedSearchValue);
}
